Subject: Re: [PATCH 1/2] vfio powerpc: enabled on powernv platform

From: Paul Mackerras <[email-masked]>
Date: Mon, 25 Feb 2013 13:21:46 +1100

On Mon, Feb 11, 2013 at 03:16:43PM -0700, Alex Williamson wrote:
> 
> Why do these all return long (vs int)?  Is this a POWER-ism?

On ppc64 the compiler tends to generate slightly shorter code with
longs than with ints.  The reason is that with ints the compiler has
to put in "extend sign word" instructions to convert 64-bit values
from arithmetic instructions to values in the 32-bit range.

Paul.